## AsDistroDetails AsDistroDetails — Provides information about the current distribution |

## Functions

#define | AS_TYPE_DISTRO_DETAILS
AsDistroDetails * | as_distro_details_new ()
const gchar * | as_distro_details_get_id ()
const gchar * | as_distro_details_get_name ()
const gchar * | as_distro_details_get_version ()
gchar * | as_distro_details_get_str ()
gboolean | as_distro_details_get_bool ()
gchar ** | as_get_icon_repository_paths ()

## Properties

gchar * | id | Read
gchar * | name | Read
gchar * | version | Read

## Types and Values

struct | AsDistroDetailsClass
| AsDistroDetails

## Object Hierarchy

        GObject
        ╰── AsDistroDetails

## Includes

    #include <appstream.h>

## Description

This object abstracts various distribution-specific settings and provides information about the (Linux) distribution which is currently in use. It is used internalls to get information about the icon-store or the 3rd-party screenshot service distributors may want to provide.

See also: AsDatabase

## Functions

### AS_TYPE_DISTRO_DETAILS

    #define AS_TYPE_DISTRO_DETAILS (as_distro_details_get_type ())

### as_distro_details_new ()

    AsDistroDetails *
    as_distro_details_new (void);

Creates a new instance of AsDistroDetails.

#### Returns

a AsDistroDetails.

[transfer full]

### as_distro_details_get_id ()

    const gchar *
    as_distro_details_get_id (AsDistroDetails *distro);

### as_distro_details_get_name ()

    const gchar *
    as_distro_details_get_name (AsDistroDetails *distro);

### as_distro_details_get_version ()

    const gchar *
    as_distro_details_get_version (AsDistroDetails *distro);

### as_distro_details_get_str ()

    gchar *
    as_distro_details_get_str (AsDistroDetails *distro,
                               const gchar *key);

### as_distro_details_get_bool ()

    gboolean
    as_distro_details_get_bool (AsDistroDetails *distro,
                                const gchar *key);

### as_get_icon_repository_paths ()

    gchar **
    as_get_icon_repository_paths (void);

Returns list of icon-paths for software-center applications to use. Icons of software (even if it is not installed) are stored in these locations.

#### Returns

A NULL-terminated array of paths.

[transfer full]

## Types and Values

### struct AsDistroDetailsClass

    struct AsDistroDetailsClass {
    	GObjectClass parent_class;
    };

### AsDistroDetails

    typedef struct _AsDistroDetails AsDistroDetails;

## Property Details

### The `“id”` property

      “id”                       gchar *

id.

Flags: Read

Default value: NULL

### The `“name”` property

      “name”                     gchar *

name.

Flags: Read

Default value: NULL

### The `“version”` property

      “version”                  gchar *

version.

Flags: Read

Default value: NULL